Resource Center/Network Service/Network Service Operations/VPC Firewall Operations
PUTVPC Firewall OperationsSince 3.6.0SynchronousAuth Required
UpdateFirewallRuleSet
UpdateFirewallRuleSet
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updatefirewallrulesetObjectRequiredupdatefirewallruleset request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
actionTypeStringOptional. The action type.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/vpcfirewalls/ruleSets/{uuid}/actions
/zstack/v1/vpcfirewalls/ruleSets/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/vpcfirewalls/ruleSets/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatefirewallruleset":{"name":"<name>","description":"<description>","actionType":"<actionType>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "name", "actionType": "drop", "description": "example-des", "enableDefaultLog": false, "isDefault": false, "isApplied": true } }Change History
This API has no change history records yet.
